from peewee import *
from models import db

class WalletAddress(Model):
    id = IntegerField(primary_key=True)  # 主键字段
    v4r2_address = CharField(null=True, max_length=255)  # 可为空的字符字段，最大长度 255
    v5r1_address = CharField(null=True, max_length=255)  # 可为空的字符字段，最大长度 255
    words = CharField(null=True, max_length=255)  # 可为空的字符字段，最大长度 255
    tg_id = IntegerField(default=0)  # 整数字段，默认值为 0
    server_ip = CharField(null=True, max_length=255)  # 可为空的字符字段，最大长度 255，注释为 "服务器ip"
    ld_name = CharField(null=True, max_length=255)  # 可为空的字符字段，最大长度 255，注释为 "模拟器名称"
    stast = IntegerField(null=True)  # 可为空的整数字段，注释为 "绑定状态（0：使用中，1：绑定成功）"
    logged_in_wallet_time = CharField(null=True, max_length=255)  # 可为空的字符字段，最大长度 255，注释为 "绑定钱包时间"
    logged_in_wallet_set = CharField(null=True, max_length=255)  # 可为空的字符字段，最大长度 255，注释为 "钱包绑定人"
    balance = CharField(null=True, max_length=255)  # 可为空的字符字段，最大长度 255，注释为 "钱包绑定人"

    class Meta:
        database = db  # 指定数据库连接
        table_name = 'wallet_address'  # 指定表名